dcl (7.5.2-4) unstable; urgency=medium

  * Add patch: Fix Uninitialized Array for ReproTest
  * Fix FTBFS: use 64-bit time_t (Closes: #1126346)
  * Refresh patch: Fix gcc-15 compatibility

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 26 Jan 2026 10:50:57 +0900

dcl (7.5.2-3) unstable; urgency=medium

  * d/control: Update B-D for backports
  * d/control: remove redundant rules-requires-root
  * d/control: redundant-priority-optional-field
  * Add & Refresh patches
    * Add patch: Fix gcc-15 compatibility
    * Add patch: import upstream manpages
  * Add NEWS: About command renaming
  * Add libf77dcl-dev.links for header move
  * Install manpages

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 24 Jan 2026 00:47:44 +0900

dcl (7.5.2-2) unstable; urgency=medium

  * Add patch: Fix cfnchr declaration
  * d/control: add dh-fortran:any
  * d/watch: Bump version 5
  * Refresh patches
  * Add patch: Fix FTBFS with make --shuffle=reverse (Closes: #1105280)
  * Add patch: Fix GCC-15 compatibility
  * Install Fortran mod file to /usr/include/dcl
  * Bump Standards-Version to 4.7.3 (no changes needed)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 22 Jan 2026 23:00:21 +0900

dcl (7.5.2-1) unstable; urgency=medium

  * New upstream version 7.5.2
  * Refresh patches: commit upstream

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 03 Mar 2025 18:22:01 +0900

dcl (7.5.1-2) unstable; urgency=medium

  * Add patch: fix Implicit Function Declaration (Closes: #1066424)
  * Add ${fortran:Depends} for fortran module files
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 22 Mar 2024 15:51:45 +0900

dcl (7.5.1-1) unstable; urgency=medium

  * New upstream version 7.5.1
  * Add/Update lintinan-overrides
  * d/copyright: update year
  * Bump version: 7.5.1
  * d/salsa-ci.yml: skip reprotest about difference Fortran binary.

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 19 Nov 2022 12:05:12 +0900

dcl (7.5.0-1) unstable; urgency=medium

  * New upstream version 7.5.0
  * Bump version: 7.5.0, add d/gbp.conf

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 11 Oct 2022 16:09:26 +0900

dcl (7.4.9-1) unstable; urgency=medium

  * New upstream version 7.4.9
  * Refresh patch

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 10 Apr 2022 14:03:19 +0900

dcl (7.4.8-1) unstable; urgency=medium

  * New upstream version 7.4.8
  * Refresh patches

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 02 Apr 2022 23:13:19 +0900

dcl (7.4.7-1) unstable; urgency=medium

  * New upstream version 7.4.6
  * d/rules: fix so version
  * d/watch: bump version 4
  * d/patches: refresh, import upstream bugfix

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 18 Mar 2022 14:01:25 +0900

dcl (7.4.5-1) unstable; urgency=medium

  * New upstream version 7.4.5
  * Bump debhelper compatibility level to 13
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * d/rules: Bump so version
  * Refresh patches
  * Add d/dcl-f77-docs.lintinan-overrides: National Encoding
  * d/rules: don't execute autoreconf
  * Fix dh_missing error: install manpages fixed

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 22 Aug 2021 01:31:15 +0900

dcl (7.4.1-1) unstable; urgency=medium

  * add patch: Add hardening flags for intermediate binary
  * Fix replace fdebug-prefix-map/ffile-prefix-map in dclconfig
  * New upstream version 7.4.1
  * Refresh patches, drop obsolete patch
  * Update lib version
  * d/libf77dcl-dev.install: follow upstream changes
  * Bump Standards-Version to 4.5.1 (no changes needed)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 01 Mar 2021 22:57:14 +0900

dcl (7.4.0-2) unstable; urgency=medium

  * Fix location of Fortran mod files
  * Fix fottran FFLAGS, prepare backports

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 21 Oct 2020 21:26:51 +0900

dcl (7.4.0-1) unstable; urgency=medium

  * New upstream version 7.4.0
  * Refresh patches
  * Add DEP-3 patch tag
  * Add patch: change documents and demo program file encoding: utf-8
  * include fortran >= 90's mod files by dh_fortran_mod
    * change location of mod files
  * Install English doc
  * Fix Vcs-{Git,Browser}: remove '-guest'
  * Add ruby into Build-Depends

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 19 Oct 2020 22:30:56 +0900

dcl (7.3.4-1) unstable; urgency=medium

  * New upstream version 7.3.4
  * d/control: Bump Standard Version 4.5.0
  * Add d/salsa-ci.yml
  * update d/patch: add gfortran flags
  * d/rules: Remove ffile-prefix-map
  * d/{control,compat}: use debhelper-compat
  * d/control:
    * Add Rules-Requires-Root: no
    * Drop gtk2 depends (Closes: #967303)
  * lintian-brush
    * Use secure URI in Homepage field.
    * Drop unnecessary dependency on dh-autoreconf.

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 07 Oct 2020 11:25:16 +0900

dcl (7.3.3-1) unstable; urgency=medium

  * New upstream version 7.3.3
  * d/control: Bump Standard-Version 4.1.5
  * d/{control,compat}: Bump compat 11
  * Support GTK3

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 11 Jul 2018 19:08:36 +0900

dcl (7.3.1-1) unstable; urgency=medium

  * New upstream version 7.3.1
  * Refresh patches
  * debian/patches: Typo. fixed
  * Update soversion
  * d/control: Fix Vcs-Browser field

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 16 Mar 2018 17:21:43 +0900

dcl (7.3.0-2) unstable; urgency=medium

  * Update Vcs-* field

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 20 Jan 2018 03:17:59 +0900

dcl (7.3.0-1) unstable; urgency=medium

  * New upstream version 7.3.0
  * Fix dependency issue (Closes: #887408)
  * debian/changelog: Remove trailing-whitespace
  * debian/rules: Add '--no-parrallel'
  * debian/watch: Use https instead of http
  * Refresh patches
  * Bump SOVER
  * Bump Standard Version: 4.1.3

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 19 Jan 2018 17:12:12 +0900

dcl (7.2.3-2) unstable; urgency=medium

  * Separate arch|indep (Closes: #873888)
  * Bump Standard Version: 4.1.0
  * dcl-f77-docs: Add Multi-Arch: foreign

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 03 Sep 2017 13:02:39 +0900

dcl (7.2.3-1) unstable; urgency=medium

  * Update Debian unstable(Closes: #841397)
  * New upstream version 7.2.3

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 04 Jul 2017 15:38:06 +0900

dcl (7.1.1-2) unstable; urgency=medium

  * Drop rdtool
  * Remove-fdebug-prefix-map from dclconfig

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 23 Sep 2016 23:51:03 +0900

dcl (7.1.1-1) unstable; urgency=medium

  * New upstream version 7.1.1
  * Add patch: fix manpages
  * Rename dclconfig${DCLVER} to dclconfig

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 19 Sep 2016 21:59:12 +0900

dcl (7.0.3-1) unstable; urgency=medium

  * Imported Upstream version 7.0.3
  * Bump soname, DCLVER

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 01 Aug 2016 11:22:05 +0900

dcl (7.0.2-5) unstable; urgency=medium

  * Update: create libf77dcl7.triggers for jessie

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 26 Jul 2016 17:49:52 +0200

dcl (7.0.2-4) unstable; urgency=medium

  * Cosmetic

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 26 Jul 2016 17:25:31 +0200

dcl (7.0.2-3) unstable; urgency=medium

  * Add libf77dcl7: call ldconfig explicitly when jessie

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 25 Jul 2016 23:27:10 +0200

dcl (7.0.2-2) unstable; urgency=medium

  * Drop transitional packages

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 25 Jul 2016 14:32:10 +0200

dcl (7.0.2-1) unstable; urgency=medium

  * Update debian/changelog
  * Imported Upstream version 7.0.2
  * Bump soname: 7.0.2
  * Refresh patches
  * Bump Standard version: 3.9.8
  * Drop dcl-utils, create as transtional package
  * Create fonts-dclfonts package
  * Enable hardening
  * Create empty manpages
  * Refresh patch: add @LDFLAGS@

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 25 Jul 2016 12:11:55 +0200

dcl (7.0.1-1) unstable; urgency=medium

  * Update debian/changelog
  * Refresh patches
  * Bump Standard version: 3.9.8
  * Bump soname, rename package, add transitional package
  * Create fonts-dclfonts package
  * Enable hardening
  * Imported Upstream version 7.0.1

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 20 Jul 2016 15:24:38 +0900

dcl (7.0.0-1) unstable; urgency=medium

  * Imported Upstream version 7.0.0
  * Refresh patch

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 22 Jun 2016 12:12:07 +0900

dcl (6.0.4-2) unstable; urgency=medium

  * Drop -dbg package
  * Bump Standard version: 3.9.7

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 24 Apr 2016 14:17:11 +0900

dcl (6.0.4-1) unstable; urgency=medium

  * Imported Upstream version 6.0.4
  * Update version:6.0.3 -> 6.0.4

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 31 Jan 2016 03:30:54 +0900

dcl (6.0.3-2) unstable; urgency=medium

  * Cosmetic

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 28 Dec 2015 21:55:14 +0900

dcl (6.0.3-1) unstable; urgency=medium

  * Imported Upstream version 6.0.3
    + Bump version number, soname: 6.0.3
  * Add transitional package: libf77dcl5
  * Refresh patches

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 27 Dec 2015 23:34:18 +0900

dcl (6.0.2-6) unstable; urgency=medium

  * Add transitional package: libf77dcl5

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 08 Sep 2015 23:00:08 +0900

dcl (6.0.2-5) unstable; urgency=medium

  * Update description: Cosmetic

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 26 Aug 2015 18:03:17 +0900

dcl (6.0.2-4) unstable; urgency=medium

  * Update package descriptions
  * Refresh patches

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 26 Aug 2015 14:31:09 +0900

dcl (6.0.2-3) unstable; urgency=medium

  * Add patch: rename dclconfig601 -> dclconfig602

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 21 Aug 2015 14:45:16 +0900

dcl (6.0.2-2) unstable; urgency=medium

  * Update Depends
  * Add transitional package: dcl-f77-utils

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 21 Aug 2015 14:19:11 +0900

dcl (6.0.2-1) unstable; urgency=medium

  * Imported Upstream version 6.0.2
  * Update rules: rename install files

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 20 Aug 2015 11:56:12 +0900

dcl (6.0.0-3) unstable; urgency=medium

  * Update debian/changelog

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 19 Aug 2015 17:36:06 +0900

dcl (6.0.0-2) unstable; urgency=medium

  * Update debian scripts

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 19 Aug 2015 15:38:46 +0900

dcl (6.0.0-1) unstable; urgency=medium

  * Update debian/watch: follow upstream file renaming
  * Imported Upstream version 6.0.0
  * Update Package name: shlib bump
  * Bump Standard Version: 3.9.6
  * Update copyright, rules
  * Rename Packages
  * Add patches

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 19 Aug 2015 14:07:52 +0900

dcl (5.4.9-1) unstable; urgency=medium

  * Imported Upstream version 5.4.9
  * Add Multipath Support
  * Add watch file
  * Change patch handling: using gbp-pq
  * Update dclconfig script name
  * Bump Standard Version: 3.9.5
  * Update compat: 9, enable hardening flags

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 17 Jan 2014 03:04:14 +0900

dcl (5.4.2-1) unstable; urgency=low

  * New Upstream version 5.4.2
  * Add watch file
  * Multiarch support
  * Change patch handling: using gbp-pq

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 31 Jan 2012 13:56:55 +0900

dcl (5.4.0-1) unstable; urgency=low

  * New upstream release

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 28 Jan 2012 18:28:27 +0900

dcl (5.3.4.2-2) unstable; urgency=low

  * fix missing dclconfig's alternative(Thx katon)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 11 Sep 2011 21:47:25 +0900

dcl (5.3.4.2-1) unstable; urgency=low

  * Imported Upstream version 5.3.4.2

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 25 Feb 2011 11:03:38 +0900

dcl (5.3.4-1) unstable; urgency=low

  * New upstream version: 5.3.4
  * Add Depends: gfortran
  * drop unused patch: committed upstream
  * change rules: use dh instead of CDBS

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 13 Feb 2011 23:04:47 +0900

dcl (5.3.3r3-4) unstable; urgency=low

  * remove unused files

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 03 Feb 2011 06:26:34 +0900

dcl (5.3.3r3-3) unstable; urgency=low

  * Add colormap support

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 03 Feb 2011 06:18:45 +0900

dcl (5.3.3r3-2) unstable; urgency=low

  * update dclpsrot

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 24 Sep 2010 16:06:20 +0900

dcl (5.3.3r3-1) unstable; urgency=low

  * Imported Upstream version 5.3.3-r3

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 21 Aug 2010 17:44:11 +0900

dcl (5.3.3r1-1) unstable; urgency=low

  * New upstream: 5.3.3r1

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 21 Aug 2010 10:28:08 +0900

dcl (5.3.3-6) unstable; urgency=low

  * Add Dpened: libgtk2.0-0

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 10 Jul 2009 17:57:31 +0900

dcl (5.3.3-5) unstable; urgency=low

  * Separate package:
    * dcl-f77: metapackage
    * libf77dcl5: shared library
    * libf77dcl-dev: static library, command
    * dcl-f77-utils: postprocessing awk scripts
    * dcl-f77-docs: documents and demo programs

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 08 Jul 2009 22:33:08 +0900

dcl (5.3.3-4) unstable; urgency=low

  * add Depends: libgtk2.0-dev, libglib2.0-dev, libx11-dev

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 28 Mar 2008 09:50:52 +0900

dcl (5.3.3-3) unstable; urgency=low

  * modified unstaisfied dependencies.

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 24 Mar 2008 16:40:01 +0900

dcl (5.3.3-2) unstable; urgency=low

  * add dcl-g95

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 17 Mar 2008 18:57:49 +0900

dcl (5.3.3-1) unstable; urgency=low

  * New upstream release
    * reconstruct packaging design
      * using CDBS
      * single source produces multi packages.

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon,  3 Mar 2008 17:20:32 +0900
